Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Ivan Shmakov <[email-masked]>
Date: Mon, 16 Feb 2015 08:55:14 +0000

>>>>> Stefan Monnier <[email-masked]> writes:

 >> PS.  Should the pending objections be resolved by sometime around
 >> 18:00 UTC today, I’d happily push the change to ‘master’.

 > Most of the change (tho not the removal of set-buffer-multibyte)
 > probably belongs in emacs-24 rather than in master.

	I certainly could push it to the stable branch, but as for
	actually /testing/ it there – that’d double the work for me
	(as I do not currently follow emacs-24 development.)

 >> +    (with-current-buffer data-buf
 >> +      (cl-assert (not enable-multibyte-characters)))

 > Why not move this further down where you already do the
 > "(with-current-buffer data-buf"?

	My only concern is that that latter with-current-buffer happens
	within a loop, and I don’t seem to see a reason for checking
	this condition for every archive member extracted.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A